/* =============================
   search.css
   ============================= */

/* search result */
.layer__panel:has(.search-option) {
	max-width: 480px;	
}

.layer__panel:has(.search-option) .layer__content {
	padding-bottom: 0;
}

.page--search .search-header {
	margin: 0;
	padding-bottom: 4.6rem;
}

.page--search .search-header__inner {
	width: auto;
	max-width: 864px;	
}

.page--search .search-header__input {
	background-color: var(--background-default);
}

/* search result meta */
.page--search .search-meta {
	max-width: 864px;
	margin-bottom: 2.8rem;
	background-color: var(--background-default);
}

.page--search .search-meta__inner {
	display: flex;
	gap: 24px;
	align-items: center;
	justify-content: space-between;	
	padding: 0 0 1.2rem;
	border-bottom: 2px solid var(--stroke-primary);
}

.search-filter { 
	padding: 1.6rem 2rem 0;	
	background-color: var(--background-darklight);
	border-bottom: 1px solid var(--stroke-separator);	
}

.search-filter__item { 
	display: flex;
	gap: 20px;
	align-items: center;
	margin-bottom: 1.6rem;
}

.search-filter__item dt { 
	width: 60px;
	font-size: 1.6rem;
	font-weight: 600;
}

.search-filter__item dd { 
	font-size: 1.5rem;
	font-weight: 500;
	color: var(--text-secondary)
}
.search-filter__item dd .ico-close { 
	width: 20px;
    height: 20px;
    background-size: 10px 10px;	
	vertical-align: top;
	opacity: .5;
}

.page--search .search-meta__count {
	margin: 0;
	font-size: 1.8rem;
}

.page--search .search-meta__keyword {
	font-weight: 700;
}

.page--search .search-meta__total {
	font-weight: 700;
}

/* search result sort */
.page--search .sort-list {
	flex-shrink: 0;
}

/* search option layout */
.search-option {
	display: grid;	
	gap: 3.4rem 0;
}
.search-option > * { 
	min-width: 0;
}

.search-option__period {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 1.4rem 2.4rem;
	align-items: start;
}

/* search empty */
.search-empty {
	padding: 8rem 0 0;
}

.search-empty__inner {	
	margin: 0 auto;
	text-align: center;
}
.wrap-btn .btn-style { 
	flex: 1;
}

/* icon */
.search-empty__icon {
	display: flex;
	justify-content: center;
	margin-bottom: 1.8rem;
}

.search-empty__icon .ico-alert {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 56px;
	height: 56px;	
	font-size: 2.8rem;
	font-weight: 600;
	line-height: 1;
	color: var(--text-description);
	border: 2px solid var(--stroke-separator);
	border-radius: 50%;	
}

.search-empty__icon .ico-alert::before {
	content: "!";
}

.search-empty__title {
	font-size: 2.2rem;
	font-weight: 400;
	line-height: 1.6;
	color: var(--text-primary, #222);
}

.search-empty__keyword {
	font-weight: 700;
	color: var(--text-impact);
}

/* guide */
.search-empty__guide {
	margin-top: 10rem;
	padding-top: 2.4rem;
	text-align: left;
	border-top: 1px solid var(--stroke-separator);	
}

.search-empty__guide li {
	position: relative;
	padding-left: 1.2rem;
	font-size: 1.4rem;
	line-height: 1.6;
	color: var(--text-description);
}

.search-empty__guide li+li {
	margin-top: .8rem;
}


@media (max-width: 1280px) { 
	.page--search .search-meta { 
		max-width: 610px;
	}
	.page--search .search-header__inner { 
		max-width: 610px;
	}
}
@media (max-width: 1024px) { 
	.page--search .search-meta { 
		max-width: unset;
	}
	.page--search .search-header__inner { 
		max-width: unset;
	}
}
@media (max-width: 768px) { 
	.page--search .search-header { 
		padding-bottom: 2rem;
	}
	.pc_txt { 
		display: none;
	}
	.search-option { 		
		gap: 2.4rem 0;
	}
	.search-option__period { 
		gap: 2rem 2.4rem;
	}
	.calendar-btn { 
		width: 18px;
		height: 18px;
	}	
	.search-empty { 
		padding-top: 4rem;
	}
	.search-empty__keyword { 
		display: block;
	}
	.search-empty__guide { 
		margin-top: 5rem;
		padding-top: 1.6rem;
	}
	.search-empty__guide li+li { 
		margin-top: .2rem;
	}
	.form-date-range > .form-field { flex: 1; }
	.form-date-range > .form-field .form-input { 
		padding: 0 10px 0 5px;
		font-size: 1.6rem;
		font-weight: 500;
	}
}